org.apache.ignite.internal.visor.cache

## Class VisorMemoryMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorMemoryMetrics

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorMemoryMetrics
    extends VisorDataTransferObject

Data transfer object for `MemoryMetrics`

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorMemoryMetrics()` Default constructor.
`VisorMemoryMetrics(MemoryMetrics m)`

### Method Summary

Methods
`float` `getAllocationRate()`
`long` `getDirtyPages()`
`float` `getEvictionRate()`
`float` `getLargeEntriesPagesPercentage()`
`String` `getName()`
`float` `getPagesFillFactor()`
`float` `getPagesReplaceRate()`
`long` `getPhysicalMemoryPages()`
`long` `getTotalAllocatedPages()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorMemoryMetrics

    public VisorMemoryMetrics()

Default constructor.

#### VisorMemoryMetrics

    public VisorMemoryMetrics(MemoryMetrics m)

Parameters:
  `m` - Metrics instance to create DTO.

### Method Detail

#### getName

    public String getName()

Returns:
  Name of the memory region.

#### getTotalAllocatedPages

    public long getTotalAllocatedPages()

Returns:
  Total number of allocated pages.

#### getAllocationRate

    public float getAllocationRate()

Returns:
  Number of allocated pages per second.

#### getEvictionRate

    public float getEvictionRate()

Returns:
  Eviction rate.

#### getLargeEntriesPagesPercentage

    public float getLargeEntriesPagesPercentage()

Returns:
  Number of evicted pages per second.

#### getPagesFillFactor

    public float getPagesFillFactor()

Returns:
  Percentage of pages fully occupied by large entities.

#### getDirtyPages

    public long getDirtyPages()

Returns:
  Current number of dirty pages.

#### getPagesReplaceRate

    public float getPagesReplaceRate()

Returns:
  Pages per second replace rate.

#### getPhysicalMemoryPages

    public long getPhysicalMemoryPages()

Returns:
  Total number of pages loaded to RAM.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017